<div class="columns">
    <div class="column is-3">

        <!-- Search -->
        <div class="field">
            <label class="label">Search</label>
            <input type="text" class="input" ng-model="$ctrl.query">
        </div>

        <!-- Sort -->
        <div class="field">
            <label class="label">Sort by:</label>

            <div class="select">
                <select ng-model="$ctrl.orderBy">
                    <option value="name">Alphabetical</option>
                    <option value="age">Newest</option>
                </select>
            </div>
        </div>

    </div>

    <!-- List of Phones -->
    <div class="column">
        <div class="card" ng-repeat="phone in $ctrl.phones | filter:$ctrl.query | orderBy:$ctrl.orderBy">
            <div class="card-header is-dark">
                <p class="card-header-title" ng-bind="phone.name"></p>
            </div>
            <div class="card-content">
                <div class="content" ng-bind="phone.snippet"></div>  
            </div>
        </div>
    </div>
</div>